Skip to main content
PATCH
Update Persona

Headers

Authorization
string | null

Path Parameters

persona_id
string<uuid>
required

Body

application/json

Partial update of a persona.

name
string | null
Required string length: 1 - 255
role
string | null
Maximum string length: 255
goals
string | null
tone
string | null
Maximum string length: 255
language
string | null
Maximum string length: 64
language_secondary
string | null
Maximum string length: 64
product_context
string | null
boundaries
string | null
faqs
FaqItem · object

A single FAQ Q/A pair.

example_dialogs
DialogTurn · object

A few-shot dialog turn.

system_prompt
string | null
override_system_prompt
boolean | null

Response

Successful Response

Persona detail/list item.

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
role
string | null
required
goals
string | null
required
tone
string | null
required
language
string | null
required
language_secondary
string | null
required
product_context
string | null
required
boundaries
string | null
required
faqs
any[] | null
required
example_dialogs
any[] | null
required
system_prompt
string | null
required
override_system_prompt
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required